#ifndef __RT_LIB_RT_FID_FIELD_H_20051222__
#define __RT_LIB_RT_FID_FIELD_H_20051222__

#include <fire/detail/RT_Field.h>
#include <fire/detail/RT_FieldMap.h>
#include <fire/private/prefix.h>

namespace FIRE_NAMESPACE {

struct RT_FidField
{
  explicit RT_FidField() : fid(0) {}

  int       fid;
  RT_Field  data;
};

static inline std::ostream& operator<<(std::ostream &os, const RT_FidField &fld)
{
  const RT_FieldMap *map  = RT_FieldMap::get_default();
  const char *fname = (map) ? map->get_name(fld.fid,"????") : "{NOMAP}";
  return os << fname << "[" << fld.fid << "] " << fld.data;
}

} // namespace

#endif
